Main Page Modules Data Structures File List Data Fields Globals Related Pages

# build/names.c File Reference

Simple user/group name/id cache (plus hostname and buildtime). More...

`#include "system.h"`
`#include "rpmbuild.h"`
`#include "debug.h"`

Go to the source code of this file.

## Typedefs

typedef const char * | ugstr_t

## Functions

void | freeNames (void)
const char * | getUname (uid_t uid)
const char * | getUnameS (const char *uname)
uid_t | getUidS (const char *uname)
const char * | getGname (gid_t gid)
const char * | getGnameS (const char *gname)
gid_t | getGidS (const char *gname)
int_32 *const | getBuildTime (void)
const char *const | buildHost (void)

## Variables

uid_t | uids [1024]
ugstr_t | unames [1024]
int | uid_used = 0
gid_t | gids [1024]
ugstr_t | gnames [1024]
int | gid_used = 0

## Detailed Description

Simple user/group name/id cache (plus hostname and buildtime).

Definition in file names.c.

## Typedef Documentation

typedef const char* ugstr_t

| Definition at line 13 of file names.c.

## Variable Documentation

int gid_used = 0`[static]`

| Definition at line 27 of file names.c. Referenced by freeNames, getGidS, getGname, and getGnameS.

gid_t gids[1024]`[static]`

| Definition at line 23 of file names.c. Referenced by getGidS, getGname, and getGnameS.

ugstr_t gnames[1024]`[static]`

| Definition at line 25 of file names.c. Referenced by freeNames, getGidS, getGname, and getGnameS.

int uid_used = 0`[static]`

| Definition at line 20 of file names.c. Referenced by freeNames, getUidS, getUname, and getUnameS.

uid_t uids[1024]`[static]`

| Definition at line 16 of file names.c. Referenced by getUidS, getUname, and getUnameS.

ugstr_t unames[1024]`[static]`

| Definition at line 18 of file names.c. Referenced by freeNames, getUidS, getUname, and getUnameS.